package activedirectory

import (
	cnsma "git.loafle.net/commons_go/network_service_matcher/activedirectory"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type ActiveDirectoryHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *ActiveDirectoryHealthCrawler) Name() string {
	return "ACTIVEDIRECTORY_HEALTH_CRAWLER"
}

func (c *ActiveDirectoryHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	ad := &ActiveDirectoryHealthCrawler{}
	ad.SetMatcher(cnsma.NewMatcher())
	return ad
}
