package cassandra

import (
	cnsmc "git.loafle.net/commons_go/network_service_matcher/cassandra"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type CassandraHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *CassandraHealthCrawler) Name() string {
	return "CASSANDRA_HEALTH_CRAWLER"
}

func (c *CassandraHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &CassandraHealthCrawler{}
	c.SetMatcher(cnsmc.NewMatcher())
	return c
}
