package ftp

import (
	cnsmf "git.loafle.net/commons_go/network_service_matcher/ftp"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type FTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *FTPHealthCrawler) Name() string {
	return "FTP_HEALTH_CRAWLER"
}

func (c *FTPHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &FTPHealthCrawler{}
	c.SetMatcher(cnsmf.NewMatcher())
	return c
}
