package http

import (
	cnsmh "git.loafle.net/commons_go/network_service_matcher/http"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type HTTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *HTTPHealthCrawler) Name() string {
	return "HTTP_HEALTH_CRAWLER"
}

func (c *HTTPHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &HTTPHealthCrawler{}
	c.SetMatcher(cnsmh.NewMatcher())
	return c
}
