package mongodb

import (
	cnsmm "git.loafle.net/commons_go/network_service_matcher/mongodb"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type MongoDBHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *MongoDBHealthCrawler) Name() string {
	return "MONGODB_HEALTH_CRAWLER"
}

func (c *MongoDBHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &MongoDBHealthCrawler{}
	c.SetMatcher(cnsmm.NewMatcher())
	return c
}
