package netbios

import (
	cnsmn "git.loafle.net/commons_go/network_service_matcher/netbios"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type NetBIOSHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *NetBIOSHealthCrawler) Name() string {
	return "NETBIOS_HEALTH_CRAWLER"
}

func (c *NetBIOSHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &NetBIOSHealthCrawler{}
	c.SetMatcher(cnsmn.NewMatcher())
	return c
}
