package pop

import (
	cnsmp "git.loafle.net/commons_go/network_service_matcher/pop"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type POPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *POPHealthCrawler) Name() string {
	return "POP_HEALTH_CRAWLER"
}

func (c *POPHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &POPHealthCrawler{}
	c.SetMatcher(cnsmp.NewMatcher())
	return c
}
