package rmi

import (
	cnsmr "git.loafle.net/commons_go/network_service_matcher/rmi"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type RMIHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *RMIHealthCrawler) Name() string {
	return "RMI_HEALTH_CRAWLER"
}

func (c *RMIHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &RMIHealthCrawler{}
	c.SetMatcher(cnsmr.NewMatcher())
	return c
}
