package rmi

import (
	"encoding/json"
	"testing"

	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	"github.com/stretchr/testify/assert"
)

func TestMatch(t *testing.T) {
	config := &sensorConfigM.SensorConfig{}
	config.Target = &sensorConfigM.Target{}
	config.Target.Connection = &sensorConfigM.Connection{
		IP:       "192.168.1.103",
		Port:     json.Number(9840),
		PortType: "tcp",
		SSL:      false,
	}

	c := NewCrawler()
	rss, err := c.Get("c")

	assert.Nil(t, err)
	assert.NotNil(t, rss)
}
