package telnet

import (
	cnsmt "git.loafle.net/commons_go/network_service_matcher/telnet"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type TelnetHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *TelnetHealthCrawler) Name() string {
	return "TELNET_HEALTH_CRAWLER"
}

func (c *TelnetHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &TelnetHealthCrawler{}
	c.SetMatcher(cnsmt.NewMatcher())
	return c
}
