package wmi

import (
	cnsmw "git.loafle.net/commons_go/network_service_matcher/wmi"
	sensorConfigM "git.loafle.net/overflow/overflow_commons_go/modules/sensor_config/model"
	oopcc "git.loafle.net/overflow/overflow_probe_container/crawler"
	"git.loafle.net/overflow/overflow_probe_container_network/crawler/health"
)

type WMIHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *WMIHealthCrawler) Name() string {
	return "WMI_HEALTH_CRAWLER"
}

func (c *WMIHealthCrawler) Get(config *sensorConfigM.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() oopcc.Crawler {
	c := &WMIHealthCrawler{}
	c.SetMatcher(cnsmw.NewMatcher())
	return c
}
